<div class="breadcrumb-container">
	<ol class="breadcrumb">
		<li><a data-ui-sref="dashboard">{{"COMMON.HOME" | translate}}</a></li>
		<li class="active">Category</li>
	</ol>
</div>
<div class="col-md-12 no-padding text-right margin-bottom-10">
	<a class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('CategoryAddButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryAddButton')" data-ui-sref="CategoryEdit({id:0})">
		Add New Category
	</a>
</div>
<div data-ng-if="!vm.loading">
<table id="sampleTable" class="table table-bordered table-striped">
	<thead>
        <tr>
            	<th>Name</th>
            	<th>CreatedOn</th>
			<th width="140"></th>
        </tr>
    </thead>
    <tbody>
		<tr data-ng-repeat="record in vm.recordList" data-on-finish-render data-broadcasteventname="ngRepeatBroadcast1">
            		<td>{{record.name}}</td>
            		<td>{{record.createdOn|dateFilter}}</td>
			<td class="text-center">
				<a title="Edit" class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('CategoryEditButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryEditButton')" data-ui-sref="CategoryEdit({id: record.id})">
					{{"COMMON.EDIT" | translate}}
				</a>
				<a title="Delete" class="btn btn-danger btn-xs" data-ng-if="vm.authRepository.isAccessible('CategoryDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('CategoryDeleteButton')" data-ng-click="vm.remove(record.id)">
					{{"COMMON.DELETE" | translate}}
				</a>
			</td>
		</tr>
		<tr class="text-center" data-ng-if="vm.recordList.length == 0">
			<td colspan="8">No records found</td>
		</tr>
	</tbody>   
</table>
</div>
